import { Schema, model } from 'mongoose';

const gameScores = new Schema({
  orange: {
    type: Number,
    required: true,
  },
  blue: {
    type: Number,
    required: true,
  },
});

const matches = new Schema({
  orange: {
    type: Schema.types.ObjectId,
    refs: 'Rosters',
    required: true,
  },
  blue: {
    type: Schema.types.ObjectId,
    refs: 'Rosters',
    required: true,
  },
  started: {
    type: Boolean,
    required: true,
  },
  done: {
    type: Boolean,
    required: true,
  },
  type: {
    type: String,
    required: true,
  },
  bestOf: {
    type: String,
    required: true,
  },
  series: {
    orange: {
      type: Number,
      required: true,
    },
    blue: {
      type: Number,
      required: true,
    },
  },
  games: {
    type: [gameScores],
    required: true,
  },
});

export default model('Matches', matches);