import { Schema, model } from 'mongoose';

const stats = new Schema({
  goals: {
    type: Number,
    required: true,
  },
  assists: {
    type: Number,
    required: true,
  },
  saves: {
    type: Number,
    required: true,
  },
  shots: {
    type: Number,
    required: true,
  },
  demos: {
    type: Number,
    required: true,
  },
});

const players = new Schema({
  name: {
    type: String,
    required: true,
  },
  account: {
    type: String,
    required: true,
  },
  stats: {
    type: [stats],
    required: true,
  },
});

const rosters = new Schema({
  event: {
    type: Schema.types.ObjectId,
    ref: 'Events',
    required: true,
  },
  name: {
    type: String,
    required: true,
  },
  logo: {
    type: String,
    required: true,
  },
  players: {
    type: [players],
    required: true,
  },
});

export default model('Rosters', rosters);